
#ifndef funct_cuh
#define funct_cuh


#include "cuda_runtime.h"
#include "device_launch_parameters.h"


#include "main_d.cuh"
#include "data.cuh"
#include "const.cuh"


void nlp_pnt_jac_create_streams(cudaStream_t*& s, cudaEvent_t*& e);


void nlp_pnt_jac_pre_setup(NLP_pnt_jac* nlp_pnt_jac, NLP_data* nlp_data);


void nlp_pnt_init_arr(NLP_pnt_jac* nlp_pnt_jac);


void nlp_pnt_jac_post_init_arr_setup(NLP_pnt_jac* nlp_pnt_jac, NLP_data* nlp_data,
	cudaStream_t s0, cudaEvent_t trigger1);


int nlp_offset_to_warp(int org_size);


int nlp_offset_to_x(int org_size, int base);


#endif
