
#include "main.cuh"


int main()
{
	NLP_data nlp_data;
	Algo_dat algo_dat;
	Timer_dat timer_dat;
	NLP_pnt_sol nlp_pnt_sol;

	nlp_data.h_port_uni_fwd = 1;
	nlp_data.res = 1;
	nlp_data.comb_pnt_n = 200;
	nlp_data.algo_dat = &algo_dat;
	nlp_data.algo_dat->issues_n = 25;
	nlp_data.nlp_pnt_sol = &nlp_pnt_sol;

	nlp_pnt_jac_create_const_arr(&nlp_data);

	nlp_pnt_jacobian(&nlp_data, &algo_dat, &timer_dat);

	return 0;
}
