
#ifndef main_d_cuh
#define main_d_cuh


struct Arr_created
{
	bool db_iss_index_arr_created;
	bool db_iss_pnt_cnt_arr_created;
	bool db_iss_cpn_time_dat_arr_created;
	bool db_temp_iss_dat_arr_created;
	bool db_temp_iss_cpn_val_created;
	bool db_temp_iss_cpn_time_dat_created;
	bool db_temp_iss_val_arr_created;
	bool db_iss_name_length_arr_created;
	bool db_iss_name_start_arr_created;

	bool iss_val_arr_created;
	bool iss_disc_val_arr_created;
	bool iss_pnts_arr_created;
	bool iss_pnts_sum_arr_created;
	bool iss_pnt_cpn_arr_created;
	bool iss_pnt_time_arr_created;
	bool iss_pnt_port_pnt_arr_created;
	bool port_pnt_rate_arr_created;
	bool port_pnt_time_arr_created;
	bool port_pnt_cpn_arr_created;
	bool sol_result_val_arr_created;
	bool port_disc_val_arr_created;
	bool rerun_port_arr_created;

	bool port_pnt_rate_base_arr_created;
	bool sol_comb_base_ptr_arr_created;
	bool sol_comb_ptr_arr_created;
	bool sol_sub_task_type_arr_created;
};


struct Algo_dat
{
	bool have_ref_case;
	bool have_better_ref_case;
	bool have_input_min_rate;
	bool have_input_max_rate;
	bool multiple_sol;
	bool multiple_sol_overflow;
	bool multiple_sol_last_run;
	bool multiple_sol_overflow_last_run;
	bool write_to_db;

	unsigned int task_type;
	unsigned int issues_n;
	unsigned int tot_iss_pnts;
	unsigned int comb_pnt_n;
	unsigned int block_n;
	unsigned int pos_incr;
	unsigned int tier1_iter_n;
	unsigned int tier2_iter_n;
	unsigned int cur_pos_data;
	unsigned int cuda_instance;
	unsigned int sol_cnt;
	unsigned int prev_sol_cnt;
	unsigned int rerun_port_pnts;

	int clean_up_db;
	int use_sep_base;
	int use_sub_task_type;
	int base_comb_size;
	int last_block_comb_size;
	int result_pinned;

	double port_val;
	double ref_case_val;
	double comb_res;
	double res_incr;
	double cur_res_val;
	double input_min_rate;
	double input_max_rate;
	double iss_disc_val_sum;
	double db_sol_cut_off_val;

	unsigned int* iss_pnts_n;
	unsigned int* sum_iss_pnts_n;
	unsigned int* iss_port_pnt_in_arr;

	int* sol_sub_task_type;
	int* sol_comb_base_ptr;
	int* sol_comb_ptr;

	double* iss_val;
	double* iss_disc_val;
	double* iss_cpn;
	double* iss_time_dat;
	double* port_pnt_cpn;
	double* port_pnt_time_dat;
	double* result;
	double* result_base;
	double* sol_result_val;
	double* sol_disc_port_val;
	double* rerun_port_arr;
	Arr_created* arr_created;
};


struct Timer_dat
{
	volatile bool stop_timer;
	volatile bool stop_cuda;
	volatile bool cuda_started;
	volatile bool cuda_stopped;
	volatile bool cuda_stopping;
	volatile bool time_cuda_tier1;
	volatile bool stop_cuda_tier1;
	volatile bool write_incr_dat;
	volatile bool write_pnt_dat;

	volatile unsigned int cur_block_n;
	volatile unsigned int cur_res_n;
	volatile unsigned int cur_pnt_n;

	volatile int get_ref_from_host;

	volatile long tier1_time_lmt;
	volatile long tier2_time_lmt;

	volatile double cuda_instance;
	volatile double h_host_ref_val;

	bool* d_stop_exec;
	double* d_reslt_val;
};


#endif
